
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP中替换键名的简易方法示例详解 / iVAN</title>

    <meta name="description" content="PHP中替换键名的简易方法示例详解  默认输出的时候,将数据库字段名作为数组的键名进行输出,但带有键名的数据不能够满足未知情况下的操作,下面为大家介绍个不错的方法可以解决这个问题 YII框架中封装好了的数据库操作函数,默认输出的时候,将数据库字段名作为数组的键名进行输出,但是有些时候带有键名的数据不能够满足未知情况下的操作,譬如:数据库数据导出为EXCEL等比较非正常的操作.    所以这边需要对数据库结果集进行解析,下面就是针对这种特殊情况的一个简单方法:   代码如下: /**  * @todo 针对YII 查询输出带有数据库">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP中替换键名的简易方法示例详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 默认输出的时候，将数据库字段名作为数组的键名进行输出，但带有键名的数据不能够满足未知情况下的操作，下面为大家介绍个不错的方法可以解决这个问题</p>
<p>YII框架中封装好了的数据库操作函数，默认输出的时候，将数据库字段名作为数组的键名进行输出，但是有些时候带有键名的数据不能够满足未知情况下的操作，譬如：数据库数据导出为EXCEL等比较非正常的操作。 <br />
 <br />
所以这边需要对数据库结果集进行解析，下面就是针对这种特殊情况的一个简单方法： <br />
 代码如下:<br />
/** <br />
* @todo 针对YII 查询输出带有数据库表字段名键名进行优化EXCEL表格输出 <br />
* @todo 替换键名为0、1、2... <br />
* @param array $data <br />
* @return array('excel_title'=array(),'excel_ceils'=array()); <br />
*/ <br />
public function excelDataFormat($data){ <br />
for ($i=0;$i&lt;count($data);$i++){ <br />
$each_arr=$data[$i]; <br />
$new_arr[]=array_values($each_arr); //返回所有键值 <br />
} <br />
$new_key[]=array_keys($data[0]); //返回所有索引值 <br />
return array('excel_title'=&gt;$new_key[0],'excel_ceils'=&gt;$new_arr); <br />
} <br />
 <br />
此处作者写这个方法就是纯粹为了处理EXCEL导出使用的，要是在项目中经常用到，可以重新换个名字哟！ <br />
 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 09:17:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e6%ae%b5/" title="字段">字段</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/%e8%be%93%e5%87%ba/" title="输出">输出</a>, <a href="https://www.iamivan.net/tag/array/" title="array">array</a>, <a href="https://www.iamivan.net/tag/%e4%bf%ae%e6%94%b9%e8%a1%a8%e5%ad%97%e6%ae%b5%e5%90%8d/" title="修改表字段名">修改表字段名</a>, <a href="https://www.iamivan.net/tag/%e6%9b%bf%e6%8d%a2%e9%94%ae%e5%90%8d/" title="替换键名">替换键名</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP中替换键名的简易方法示例详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKrARz.html" rel="bookmark">PHP中替换键名的简易方法示例详解&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				YII框架中封装好了的数据库操作函数,默认输出的时候,将数据库字段名作为数组的键名进行输出,但是有些时候带有键名的数据不能够满足未知情况下的操作,譬如:数据库数据导出为EXCEL等比较非正常的操作. 所以这边需要对数据库结果集进行解析,下面就是针对这种特殊情况的一个简单方法: 复制代码 代码如下: /** * @todo 针对YII 查询输出带有数据库表字段名键名进行优化EXCEL表格输出 * @todo 替换键名为0.1.2... * @param array $data * @return			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqlxGb.html" rel="bookmark">JavaScript中的ajax功能的概念和示例详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AJAX即&quot;Asynchronous Javascript And XML&quot;(异步JavaScript和XML). 个人理解:ajax就是无刷新提交,然后得到返回内容. 对应的不使用ajax时的传统网页如果需要更新内容(或用php做处理时),必须重载整个网页页面. 示例: html代码如下 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GLJOp.html" rel="bookmark">Javascript中call，apply，bind方法的详解与总结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下内容会分为如下小节: 1.call/apply/bind方法的来源 2.Function.prototype.call() 3.Function.prototype.apply() 3.1:找出数组中的最大数 3.2:将数组的空元素变为undefined 3.3:转换类似数组的对象 4.Function.prototype.bind() 5.绑定回调函数的对象 6.call,apply,bind方法的联系和区别 1.call/apply/bind方法的来源 首先,在使用call,apply,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLKa6p.html" rel="bookmark">jQuery中ajax的load&lpar;&rpar;与post&lpar;&rpar;方法实例详解&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery中ajax的load()与post()方法.分享给大家供大家参考,具体如下: 一.load()方法 在jQuery ajax的load()方法能够载入远程 HTML 文件代码并插入至 DOM 中,这个与post,get还是有一点的区别,但可以快速在页面加载时就加载一个页面的html保存到dom中并且可执行哦. load()方法默认使用 GET 方式, 如果传递了data参数则使用Post方式. 传递附加参数时自动转换为 POST 方式.jQuery 1.2 中,可以指定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkwOOp.html" rel="bookmark">Java中分割字符串的两种方法实例详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 相信大家应该都知道在java编程中,有时候我们需要把一个字符串按照某个特定字符.字母等作为截点分割这个字符串,这样我们就可以使用这个字符串的一部分或者把所有截取的内容保存到数组里等操作.下面这篇文章就给大家分享了两种分割的方法,下面来一起看看吧. 一.java.lang.String 的 split() 方法, JDK 1.4 or later public String[] split(String regex,int limit) 示例代码 public class StringSpl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0K4Vp.html" rel="bookmark">Yii中CGridView关联表搜索排序方法实例详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Yii中CGridView关联表搜索排序方法.分享给大家供大家参考.具体实现方法如下: 在Yii CGridView 关联表搜索排序实现方法有点复杂,今天看了一老外写的了篇游戏,下面我整理一下与各位朋友分享一下,相信会对大家Yii框架的学习有所帮助. 首先,检查你的blog demo里的protectedmodelsComment.php,确保Comment模型有一个search的方法,如果没有,就用gii生成一个,我下载到的blog demo里倒是没有. 然后,写代码的时间到了,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2V2DZb.html" rel="bookmark">Lua中的元表&lpar;metatable&rpar;、元方法&lpar;metamethod&rpar;详解&lowbar;Lua</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				终于到了在实际中经常要用到的内容了--元表与元方法. 在第一次看见这两样东西的时候,可能会觉得它很深奥,但其实很好理解,虽然实际上它可能真的很深奥.(小若:停!滚粗.) 1.知道为什么1 + 1 = 2吗? 为什么在Lua中,1+1会等于2呢?(小若:难道除了Lua,其他地方就不等于2了?) 为什么数字和数字相加是合法的,为什么table和table相加就会报错?大家有想过这些问题吗?   没错,规则,这一切都只是规则而已,Lua规定了数字之间可以进行加减乘除,而table之间则不可以. 这是因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXjwyAb.html" rel="bookmark">jquery sortable的拖动方法示例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本文以示例的方式为大家介绍下jquery sortable的拖动方法的具体实现,感兴趣的朋友可以参考下 所有的事件回调函数都有两个参数:event和ui,浏览器自有event对象,和经过封装的ui对象  ui.helper - 表示sortable元素的JQuery对象,通常是当前元素的克隆对象  ui.position - 表示相对当前对象,鼠标的坐标值对象{top,left}  ui.offset - 表示相对于当前页面,鼠标的坐标值对象{top,left}  ui.item - 表示当前			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQawX0b.html" rel="bookmark">jquery sortable的拖动方法示例详解&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				所有的事件回调函数都有两个参数:event和ui,浏览器自有event对象,和经过封装的ui对象 ui.helper - 表示sortable元素的JQuery对象,通常是当前元素的克隆对象 ui.position - 表示相对当前对象,鼠标的坐标值对象{top,left} ui.offset - 表示相对于当前页面,鼠标的坐标值对象{top,left} ui.item - 表示当前拖拽的元素 ui.placeholder - 占位符(如果有定义的话) ui.sender - 当前拖拽元素的所属			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP8XAp.html" rel="bookmark" class="title">响应式Web图形篇之icon fonts的探析及应用</a>
					<div>
						前言 像素完美(Pixel Perfection).分辨率无关(Resolution Independent)和多平台体验一致性是设计师们的追求. 可访问性(Accessability).加载性能和重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyLy8b.html" rel="bookmark" class="title">Maya制作龙卷风效果</a>
					<div>
						以前在网上看到一篇关于制作龙卷风的教程,是用MEL来控制粒子的运动路径实现龙卷风的外观.现在这个教程要使用的是另一个方法来实现这个效果.通过建立龙卷风的模型,制作变形,增加粒子来完成,现在我们开始吧. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRmPqb.html" rel="bookmark" class="title">学点C语言&lpar;14&rpar;&colon;数据类型</a>
					<div>
						在C语言中, char类型永远都是一个字节, 双字节字符类型是wchar_t; 但它不是内置类型, 定义在 stddef.h. 给 wchar_t 类型的字符或字符数组(也就是字符串)赋值要冠以 L; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP0ZRM.html" rel="bookmark" class="title">高并发服务器的设计：fastcgi的设计</a>
					<div>
						服务器开发中不何或缺的要使用fastcgi,其使用方法如下: while( FCGI_Accept() &gt;= 0 ){ printf( &quot;Content-type: text/plai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNELq4b.html" rel="bookmark" class="title">linux系统编程之信号（三） 信号的阻塞与未决</a>
					<div>
						一.信号在内核中的表示 实际执行信号的处理动作称为信号递达(Delivery),信号从产生到递达之间的状态,称为信号未决(Pending).进程可以选择阻塞(Block)某个信号.被阻塞的信号产生时将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oog6b.html" rel="bookmark" class="title">如何使用印象笔记&CenterDot;圈点的详细使用图文教程</a>
					<div>
						Evernote Skitch(中文名:印象笔记·圈点)是一个为照片和图片添加标注的软件,现在推出 Windows版,它能够给图片添加精美的标注,用简单的箭头.图形和文字,在照片和截屏上进行标注,让你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArY4Jp.html" rel="bookmark" class="title">js中用window&period;open&lpar;&rpar;打开多个窗口的name问题</a>
					<div>
						这篇文章主要介绍了js中用window.open()打开多个窗口的问题,需要的朋友可以参考下 当要使用window.open()去打开多个子窗口的时候,在ie7之后,都要使用不同的name,这样才能够 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3DeVp.html" rel="bookmark" class="title">如何取消win7工具栏预览功能？</a>
					<div>
						  如何取消win7工具栏预览功能?其实win7系统自带很多酷炫的功能,比如:工具栏预览功能,但是有些用户电脑配置比较低,想提升预览时间可直接关闭win7系统工具栏预览功能,但很多用户又有些不舍,每次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72Gxap.html" rel="bookmark" class="title">阿香婆硬盘维护工具怎么使用？</a>
					<div>
						  1:在主界面上单击&quot;选项&quot; 2:①:找到&quot;Defrag&quot; ②:找到&quot;启动时碎片整理&quot;③:勾选&quot;启用启动时碎片整理&quot;. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxooPjb.html" rel="bookmark" class="title">钉钉APP修改账户密码图文教程</a>
					<div>
						给各位钉钉软件的使用者们来详细的解析分享一下修改账户密码的教程. 教程分享: 一.首先打开钉钉,下面以手机中修改钉钉密码为例,打开之后点击右下角的[更多],然后点击进入上面的[钉钉]密码,如下图所示. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NE7AM.html" rel="bookmark" class="title">胖纸的春天在哪里？胖APP告诉你</a>
					<div>
						 现在的移动互联网依然是弥漫着硝烟的战场,不过改变的是移动APP已经不再是当年单兵作战的节奏了,那些小而美的APP可以继续抢占蓝海,而那些大而全的APP却更加深度的满足用户的刚性需求.APP应用们需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPmxvp.html" rel="bookmark" class="title">如何用bash-support插件将Vim编辑器打造成编写Bash脚本的IDE</a>
					<div>
						IDE(集成开发环境)就是这样一个软件,它为了最大化程序员生产效率,提供了很多编程所需的设施和组件. IDE 将所有开发工作集中到一个程序中,使得程序员可以编写.修改.编译.部署以及调试程序. 在这篇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Nm0gM.html" rel="bookmark" class="title">基于&period;NET的WebService的实现</a>
					<div>
						这个专题主要讲述的是webservice,因此这里我们的代码以Webservice相关为主,而其他工程,例如:ServiceGatherSite,WebSiteA等,只将简略介绍.      在VS2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKYaab.html" rel="bookmark" class="title">c&plus;&plus;-C&num;中DllNotFoundException&colon; BulletPhysics有这个报错怎么回事？？</a>
					<div>
						问题描述 C#中DllNotFoundException: BulletPhysics有这个报错怎么回事?? C#中 DllNotFoundException: BulletPhysics Bulle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRm8ep.html" rel="bookmark" class="title">HDFS高级开发培训课程之HDFS开发实例课件</a>
					<div>
						前言: 刚刚完成的HDFS高级开发培训课程课件中的一个章节,不知道PPT,如何导出HTML格式,只好批量导出图片,贴图了. 连接管理:建立连接.断开连接.设置连接参数 文件操作:浏览文件.上传文件.下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rDoWz.html" rel="bookmark" class="title">一个关于编写shell脚本的问题</a>
					<div>
						问题描述 一个关于编写shell脚本的问题 在linux中写出一个shell脚本在12点之前.在屏幕上打印早上好.12点后18点前打印 解决方案 !bin/bash date=$(date +%k)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZLDoM.html" rel="bookmark" class="title">万万没想到之苹果那些年收购的公司</a>
					<div>
						[TechWeb报道]目前苹果公司已经证实,以总价30亿美元正式收购耳机制造商Beats Electronics与其 流媒体音乐服务提供商Beats Music.Beats是由Jimmy Iovine ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAXy6p.html" rel="bookmark" class="title">swing 表格下拉文本框显示详情</a>
					<div>
						问题描述 那位大神帮下小弟表格中每行有一个按钮,点击后,该行下面会出现个文本框,显示该行更多的信息.后面的行会在文本框下面大概是这样的.这个功能小弟实在做不出来-------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwdn1M.html" rel="bookmark" class="title">大数据时代，我们是不是在&OpenCurlyDoubleQuote;裸奔&rdquo;？</a>
					<div>
						  编者按:本文来自微信公众号&quot;伯凡时间&quot;(ID:bofanstime),作者吴伯凡:36氪经授权发布. 欧盟司法和消费者委员会曾经推出过一个视频,视频里有三位主人公,一位是办公室 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNr5rp.html" rel="bookmark" class="title">专家分析鑫诺卫星故障有多种可能</a>
					<div>
						7月14日下午16:15消息,针对鑫诺三号卫星发生故障一事,航天技术专家庞之浩分析称,可能有平台系统发生故障和有效载荷发生故障等多种原因,具体情况还需运营该卫星的主体公司来解释. 7月13日晚间21: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkdZOp.html" rel="bookmark" class="title">常小兵：联通今年打造G网投资不低于200亿</a>
					<div>
						本报讯 (记者 刘奇) 昨天, 全国政协委员.联通集团董事长常小兵表示,联通今年不会因为电信重组减少对网络的投资,将投入不低于200亿元资金,用于对旗下的GSM网络进行升级. 常小兵说,对网络投资的多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk6mAz.html" rel="bookmark" class="title">aspnet&lowbar;regiis&period;exe命令使用方法&lowbar;实用技巧</a>
					<div>
						C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\aspnet_regiis.exe aspnet_regiis.exe [-i[r] [-enable] | ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmlvNz.html" rel="bookmark" class="title">关于mysql数据库格式化简单介绍&lowbar;Mysql</a>
					<div>
						DATE_FORMA T(date, format) 根据格式串format 格式化日期或日期和时间值date,返回结果串. 可用DATE_FORMAT( ) 来格式化DATE 或DATETIME 值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYEN6b.html" rel="bookmark" class="title">php cURL 抓取网页 POST数据及其他</a>
					<div>
						使用PHP的cURL库可以简单和有效地去抓网页.你只需要运行一个脚本,然后分析一下你所抓取的网页,然后就可以以程序的方式得到你想要的数据了.无论是你想从从一个链接上取部分数据,或是取一个XML文件并把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jLgop.html" rel="bookmark" class="title">javascript间隔定时器&lpar;延时定时器&rpar;学习 间隔调用和延时调用&lowbar;javascript技巧</a>
					<div>
						用setInterval方法可以以指定的间隔实现循环调用函数,直到clearInterval方法取消循环 用clearInterval方法取消循环时,必须将setInterval方法的调用赋值给一个变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QL76p.html" rel="bookmark" class="title">js数组循环遍历数组内所有元素的方法&lowbar;javascript技巧</a>
					<div>
						例,for(){}遍历数组 复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt; &lt;!--var arr = new Array( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgExnAz.html" rel="bookmark" class="title">Ceph分布式存储实战3&period;1　引言</a>
					<div>
						智能分布CRUSH 3.1 引言 数据分布是分布式存储系统的一个重要部分,数据分布算法至少要考虑以下3个因素. 1)故障域隔离.同份数据的不同副本分布在不同的故障域,降低数据损坏的风险. 2)负载均衡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6rYJp.html" rel="bookmark" class="title">工信部周平：区块链及其标准化发展趋势</a>
					<div>
						从各种联盟.协会到各大校企合作实验室,区块链行业的玩家都希望率先成为制定标准的一方,或者从中抢占某些先机,尤其是由工信部牵头编写的&lt;中国区块链技术和应用发展白皮书&gt;颁布以后. 那么,区块链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBKDvb.html" rel="bookmark" class="title">《Metasploit渗透测试手册》&mdash;第8章8&period;7节 使用Metasploit进行模糊测试</a>
					<div>
						8.7 使用Metasploit进行模糊测试Metasploit渗透测试手册模糊测试是一种软件测试技术,包括使用随机的数据注入检测软件中的漏洞.模糊测试脚本生成畸形数据时,将其传送给特定的目标软件以验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAneVp.html" rel="bookmark" class="title">用C&num; entityFramework 与数据库交互</a>
					<div>
						问题描述 改变实体类的构造函数了,entityFramework生成的数据库表格里就只有ID一个字段,这是怎么回事?加上Column也不行.帮帮忙兄弟们 解决方案 解决方案二:重新映射下阿.或者用XM ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
